;FS2000 only
Include ( ..\includes\Point595.inc )
; begin cargo train 40 axes 150 m

mif( [ $FS2000 <= 0 ] )

 Bitmap( brvs211.pat 0 0 0 0 )
 BitmapMode(1)
 include( ..\includes\tex595.inc )

melse 		; if FS2000

  IfVarAnd( :NI650 028C 01 ) ;daytime, no problem
    Bitmap( brvs211.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\tex595.inc )	; draw cars
    Jump( :done650 ) ;skip night action

  :NI650   ;dawn, night or dusk...

  mif( [ $61 <= 0 ] ) ; not lighted
    Bitmap( brvs211.pat 0 0 0 0 ) ;dark version of cars
    BitmapMode(1)
    include( ..\includes\tex595.inc )
    BitmapMode(0)
    Jump( :done650 ) ; skip other night action

  melse  ; we have a lighting: use a undocumented feature in FS2K;
	 ; 	ShadedPolys stay lighted when standard points are used
    Bitmap( brvs211.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\shtex595.inc ) ;constant day illumination

  mifend  ;lighting?

  :done650
mifend  ;FS98/2K

include( ..\includes\Eng650pt.inc )
mif( [ $FS2000 <= 0 ] )

 Bitmap( BRVS480.pat 0 0 0 0 )

 BitmapMode(1)
 include( ..\includes\tex620.inc )

melse 		; if FS2000

  IfVarAnd( :NI650e 028C 01 ) ;daytime, no problem
    Bitmap( BRVS480.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\tex620.inc )	; draw cars
    Jump( :done650e ) ;skip night action

  :NI650e   ;dawn, night or dusk...

  mif( [ $61 <= 0 ] ) ; not lighted
    Bitmap( BRVS481.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\shtex620.inc )
    BitmapMode(1)
    Jump( :done650e ) ; skip other night action

  melse  ; we have a lighting: use a undocumented feature in FS2K;
	 ; 	ShadedPolys stay lighted when standard points are used
    Bitmap( BRVS480.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\shtex620.inc ) ;constant day illumination

  mifend  ;lighting?

  :done650e 
mifend  ;FS98/2K

